summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Roman <davidroman96@gmail.com>2018-02-25 12:26:16 +0100
committerPatrice Clement <monsieurp@gentoo.org>2018-02-25 20:59:54 +0100
commita2bad836c2bad61a5e8f264f077bc66bff6424d7 (patch)
tree01e4286b2437a049fe2c1702b67a47e7c0f96745 /www-misc
parentnet-misc/ntpsec: unset MAKEOPTS since waf completely ignores it anyway (diff)
downloadgentoo-a2bad836c2bad61a5e8f264f077bc66bff6424d7.tar.gz
gentoo-a2bad836c2bad61a5e8f264f077bc66bff6424d7.tar.bz2
gentoo-a2bad836c2bad61a5e8f264f077bc66bff6424d7.zip
www-misc/buku: version bump to 3.6.
Closes: https://github.com/gentoo/gentoo/pull/7278
Diffstat (limited to 'www-misc')
-rw-r--r--www-misc/buku/Manifest1
-rw-r--r--www-misc/buku/buku-3.6.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/www-misc/buku/Manifest b/www-misc/buku/Manifest
index 1b2763a2fe9..07c7674eab1 100644
--- a/www-misc/buku/Manifest
+++ b/www-misc/buku/Manifest
@@ -1 +1,2 @@
DIST buku-3.5.tar.gz 93634 BLAKE2B 55c4b50b3bf8121c116554613768cd836080b363d702469eb2f76349c26d8d6246f73746248123030c5657006e09a9f72242354ce3af20d93b845f1870929bbc SHA512 b9f70665c83033ca030302e805ee051a524b2f0decae6c99ad54749b4a4bc91ae8261976018741361489525f359ea71c01ddb3e2d827ab9a052fb0acc98be8ed
+DIST buku-3.6.tar.gz 92012 BLAKE2B a92f45810acfb11493ca4c0ff75c57b81064627dea632bdf55ab5e33618e2721163ba0dcaa95d8cbec579605bc714d24ef894de10f4a10f3bf6ef5eb5aa42cc3 SHA512 77fabec93e85d6b6d5dbc0a3c4d095f26093f1d86aadb2a3c961a3947ac1c59acac69c94f732d30daec9943728e35d5e08bede1f0448c02d2db9136fe426186f
diff --git a/www-misc/buku/buku-3.6.ebuild b/www-misc/buku/buku-3.6.ebuild
new file mode 100644
index 00000000000..ec2ba66f777
--- /dev/null
+++ b/www-misc/buku/buku-3.6.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Powerful command-line bookmark manager"
+HOMEPAGE="https://github.com/jarun/Buku"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.13.1[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/py[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-catchlog[${PYTHON_USEDEP}]
+ )
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /usr/share/zsh/site-functions
+ doins auto-completion/zsh/_*
+
+ newbashcomp auto-completion/bash/buku-completion.bash "${PN}"
+
+ doman buku.1
+}
+
+python_test() {
+ py.test -v tests/test_* || die
+}